﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                    xmlns:dto="clr-namespace:SecondMonitor.Telemetry.TelemetryApplication.Settings.DTO;assembly=TelemetryApplication"
                    xmlns:system="clr-namespace:System;assembly=mscorlib"
                    xmlns:settingsWindow="clr-namespace:SecondMonitor.Telemetry.TelemetryApplication.ViewModels.SettingsWindow;assembly=TelemetryApplication"
                    xmlns:wpf="clr-namespace:SecondMonitor.WindowsControls.WPF;assembly=WindowsControls"
                    xmlns:settings="clr-namespace:SecondMonitor.TelemetryPresentation.Controls.Settings">
    <!--<ResourceDictionary.MergedDictionaries>
        <ResourceDictionary Source="../TelemetryPresentation.xaml" />
    </ResourceDictionary.MergedDictionaries>-->
    <ObjectDataProvider x:Key="DataFromXAxisKindEnum" MethodName="GetValues"
                        ObjectType="{x:Type system:Enum}">
        <ObjectDataProvider.MethodParameters>
            <x:Type TypeName="dto:XAxisKind" />
        </ObjectDataProvider.MethodParameters>
    </ObjectDataProvider>
    <ObjectDataProvider x:Key="DataFromStingRenderingEnum" MethodName="GetValues"
                        ObjectType="{x:Type system:Enum}">
        <ObjectDataProvider.MethodParameters>
            <x:Type TypeName="dto:StintRenderingKind" />
        </ObjectDataProvider.MethodParameters>
    </ObjectDataProvider>

    <DataTemplate DataType="{x:Type settingsWindow:TelemetrySettingsViewModel}">
        <Border Padding="3" BorderThickness="5" Background="{StaticResource Anthracite01Brush}" BorderBrush="{StaticResource DarkGrey01Brush}" CornerRadius="5">
            <Grid Background="{StaticResource Anthracite01Brush}">
                <DockPanel>
                    <Border DockPanel.Dock="Top" Margin="2" BorderThickness="2" Padding="5" BorderBrush="{StaticResource DarkGrey05Brush}">
                        <StackPanel>
                            <TextBlock Style="{StaticResource StandardText}" FontWeight="Bold" FontSize="{StaticResource BigFontSize}" Text="General:" Margin="5"/>
                            <StackPanel Orientation="Horizontal">
                                <StackPanel Margin="0,10,0,10">
                                    <TextBlock Style="{StaticResource StandardText}" FontWeight="Bold"
                                               Text="X Axis Quantity" Margin="5" />
                                    <ComboBox VerticalAlignment="Top"
                                              ItemsSource="{Binding Source={StaticResource DataFromXAxisKindEnum}}"
                                              SelectedItem="{Binding XAxisKind}"
                                              Style="{StaticResource StandardComboBoxStyle}" />
                                </StackPanel>
                                <ContentPresenter Margin="5" Content="{Binding AggregatedChartSettingsViewModel}"/>
                            </StackPanel>
                        </StackPanel>
                    </Border>
                    <ContentPresenter DockPanel.Dock="Top" Content="{Binding WorkspacesSettingsViewModel}"/>
                    <StackPanel DockPanel.Dock="Bottom" Orientation="Horizontal">
                        <Button Height="55" HorizontalAlignment="Right" VerticalAlignment="Bottom"
                                Command="{Binding OkCommand}"
                                Style="{StaticResource StandardButton}">
                            <Button.Content>
                                <wpf:ColorAbleIcon Margin="5,0,5,0" StrokeBrush="{Binding Foreground, RelativeSource={RelativeSource AncestorType=Button}, Mode=OneWay}">
                                    <ContentPresenter Content="{StaticResource OkIcon}" />
                                </wpf:ColorAbleIcon>
                            </Button.Content>
                        </Button>
                        <Button Height="55" HorizontalAlignment="Right" VerticalAlignment="Bottom"
                                Command="{Binding CancelCommand}"
                                Style="{StaticResource StandardButton}">
                            <Button.Content>
                                <wpf:ColorAbleIcon Margin="5,0,5,0" StrokeBrush="{Binding Foreground, RelativeSource={RelativeSource AncestorType=Button}, Mode=OneWay}">
                                    <ContentPresenter Content="{StaticResource CancelIcon}" />
                                </wpf:ColorAbleIcon>
                            </Button.Content>
                        </Button>
                    </StackPanel>
                </DockPanel>
            </Grid>
        </Border>
    </DataTemplate>

</ResourceDictionary>